# Generated by Django 2.2.13 on 2020-06-09 12:07

from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='UserProfile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('initial_balance', models.DecimalField(decimal_places=2, max_digits=6)),
                ('account_currency', models.CharField(choices=[('eur', 'EUR'), ('usd', 'USD'), ('gbp', 'GBP'), ('rub', 'RUB'), ('btc', 'BTC')], default='rub', max_length=9)),
                ('user', models.OneToOneField(on_delete='CASCADE', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'user_profile',
            },
        ),
    ]
